- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_user_fsso – Configure Fortinet Single Sign On (FSSO) agents in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify user feature and fsso category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
state string / required | Choices: present absent | Indicates whether to create or remove the object.
user_fsso dictionary | Default: null | Configure Fortinet Single Sign On (FSSO) agents.
| ldap_server string |  | LDAP server to get group information. Source user.ldap.name.
| name string / required |  | Name.
| password string |  | Password of the first FSSO collector agent.
| password2 string |  | Password of the second FSSO collector agent.
| password3 string |  | Password of the third FSSO collector agent.
| password4 string |  | Password of the fourth FSSO collector agent.
| password5 string |  | Password of the fifth FSSO collector agent.
| port integer |  | Port of the first FSSO collector agent.
| port2 integer |  | Port of the second FSSO collector agent.
| port3 integer |  | Port of the third FSSO collector agent.
| port4 integer |  | Port of the fourth FSSO collector agent.
| port5 integer |  | Port of the fifth FSSO collector agent.
| server string |  | Domain name or IP address of the first FSSO collector agent.
| server2 string |  | Domain name or IP address of the second FSSO collector agent.
| server3 string |  | Domain name or IP address of the third FSSO collector agent.
| server4 string |  | Domain name or IP address of the fourth FSSO collector agent.
| server5 string |  | Domain name or IP address of the fifth FSSO collector agent.
| source_ip string |  | Source IP for communications to FSSO agent.
| source_ip6 string |  | IPv6 source for communications to FSSO agent.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet
- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure Fortinet Single Sign On (FSSO) agents.
        fortios_user_fsso:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          user_fsso:
            ldap_server: "<your_own_value> (source user.ldap.name)"
            name: "default_name_4"
            password: "<your_own_value>"
            password2: "<your_own_value>"
            password3: "<your_own_value>"
            password4: "<your_own_value>"
            password5: "<your_own_value>"
            port: "10"
            port2: "11"
            port3: "12"
            port4: "13"
            port5: "14"
            server: "192.168.100.40"
            server2: "<your_own_value>"
            server3: "<your_own_value>"
            server4: "<your_own_value>"
            server5: "<your_own_value>"
            source_ip: "84.230.14.43"
            source_ip6: "<your_own_value>"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)
- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.